import * as React from 'react';
import { Breakpoint, BoxProps } from '@atomic-layout/core';
export declare type BreakpointRef = string | Breakpoint;
export declare const resolveBreakpoint: (breakpointRef: BreakpointRef) => Breakpoint;
export interface OnlyProps extends BoxProps {
    /**
     * Renders children only at the specified breakpoint.
     */
    for?: BreakpointRef;
    /**
     * Renders children from the specified breakpoint and up,
     * unless enclosing `to` prop is set to form a range.
     */
    from?: BreakpointRef;
    /**
     * Renders children from the specified breakpoint and down,
     * unless the openning `from` prop is set to form a range.
     */
    to?: BreakpointRef;
    /**
     * Renders children everywhere except the given breakpoint range.
     */
    except?: boolean;
}
export declare const createWrapper: (wrapper: React.FC<{}>, children: React.ReactNode, props: BoxProps) => (...breakpoints: Breakpoint[]) => JSX.Element;
declare const Only: React.FC<OnlyProps>;
export default Only;
