import React from 'react';
import { Numeric } from '@atomic-layout/core';
/**
 * Returns a new React component based on the given one
 * that enables support for Responsive Props API on arbitrary props.
 */
declare function useResponsiveComponent<OwnProps extends Record<string, any>, ResponsiveProps extends Record<string, Numeric>, RefType = unknown>(Component: React.FC<OwnProps>): React.FC<React.PropsWithoutRef<OwnProps & Partial<ResponsiveProps>>>;
export default useResponsiveComponent;
